cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daan Hoogland <daan.hoogl...@gmail.com>
Subject Re: [ACS4.4] RC1
Date Mon, 30 Jun 2014 16:02:37 GMT
499ff73f1a14bddd81c5788930c43b2a3de099ed is the one that has the
checkstyle pom edited as well. It is on branch 4.4-RC20140630T1754.
This time I ran mvn clean test *after* running build_asf.sh threw it
away and ran the script again. Hopefully it will be alright now.
Please proof me wrong, I dare you all.

Daan

On Mon, Jun 30, 2014 at 3:11 PM, Ove Ewerlid <Ove.Ewerlid@oracle.com> wrote:
> On 06/30/2014 02:51 PM, Daan Hoogland wrote:
>>
>> Ove, to be sure I got you: Does your script need to have the branch
>> checked out when building a version by tag or commit-id or does it
>> checkout the version and then build it?
>
>
> The script is setup for the historical ACS method of using a specific commit
> ID to denote a release that later is turned into a tag as the vote is
> passed, all using the 4.0, 4.1, 4.2, 4.3, base branch.
>
> That being said, I noticed that the first commit ID you gave for 4.4 RC1 was
> not part of the 4.4 tree. Hence, changed the build script to also support
> checking out a specific "release" branch. A later 44RC1 commit id was part
> of 4.4 branch.
>
> Probably time to enhance ACS build script to use "git remote show origin"
> and sieve out the branches related to a release/vote process in time order
> and work on the last one.
>
>
>> The commit id is not on the branch 4.4 but on a branch of that called
>> 4.4-RC<ccyymmdd>T<hhMM>
>>
>> But I noticed that you are right, the pom for checkstyle is not edited
>> in the release.
>
>
> ok
>
> /Ove
>
>
>
>> On Mon, Jun 30, 2014 at 1:29 PM, Ove Ewerlid <Ove.Ewerlid@oracle.com>
>> wrote:
>>>
>>> On 06/30/2014 11:23 AM, Daan Hoogland wrote:
>>>>
>>>>
>>>> This is going to be the vote thread but I read back the procedure and
>>>> found that I should more explicitly ask for consent before starting
>>>> the vote.
>>>>
>>>> 162ea957e6f02e56f2de7a639f4c7e593b1b3e72 is the commit id for the
>>>> version I would like to release. Do we have the feeling that this is a
>>>> version stable enough?
>>>>
>>>> More specific: Citrix QA, do you have a good confidence level with the
>>>> present state of the 4.4 branch?
>>>>
>>>> kind regards,
>>>>
>>>
>>> My build script experience an issue when building versus the 4.4 RC1
>>> commit
>>> id. The script works with "git checkout 4.4" but when doing "git checkout
>>> <RC1-commit-id>" below issue occurs. The only difference (right now) is
>>> changing "4.4-SNAPSHOT" --> "4.4.0" throughout the tree.
>>>
>>> This Warning is issued;
>>> [INFO] Building Apache CloudStack Maven Conventions Parent 4.4.0
>>> [INFO]
>>> ------------------------------------------------------------------------
>>> [INFO]
>>> [INFO] --- maven-checkstyle-plugin:2.11:check (cloudstack-checkstyle) @
>>> cloud-maven-standard ---
>>> [WARNING] The POM for org.apache.cloudstack:checkstyle:jar:4.4.0 is
>>> missing,
>>> no dependency information available
>>>
>>> Then build errors out with;
>>>
>>> [ERROR] Failed to execute goal
>>> org.apache.maven.plugins:maven-checkstyle-plugin:2.11:check
>>> (cloudstack-checkstyle) on project cloud-maven-standard: Execution
>>> cloudstack-checkstyle of goal
>>> org.apache.maven.plugins:maven-checkstyle-plugin\
>>> :2.11:check failed: Plugin
>>> org.apache.maven.plugins:maven-checkstyle-plugin:2.11 or one of its
>>> dependencies could not be resolved: Failure to find
>>> org.apache.cloudstack:checkstyle:jar:4.4.0 in
>>> http://repo.maven.apache.org/maven2 was cac\
>>> hed in the local repository, resolution will not be reattempted until the
>>> update interval of central has elapsed or updates are forced -> [Help 1]
>>>
>>> A usual suspect is the Maven M2 cache, the same error happens when
>>> building
>>> from clean cache and when building on top of a successful 4.4 build that
>>> populates a cache sufficient for 4.4. Some 10 attempts tried, the same
>>> issue
>>> each time. This is with Maven v3.2.1. Build host is OEL65 with latest
>>> updates (e.g., effectively RHEL65).
>>>
>>> The build script handles 4.3, 4.3.0 and 4.4 without issues, just tested
>>> that.
>>>
>>> Thoughts?
>>>
>>> /Ove
>>>
>>>
>>> --
>>> Ove Everlid
>>> System Administrator / Architect / SDN- & Automation- & Linux-hacker
>>> Mobile: +46706668199 (dedicated work mobile)
>>> Country: Sweden, timezone; Middle Europan Time (MET or GMT+1)
>>
>>
>>
>>
>
>
> --
> Ove Everlid
> System Administrator / Architect / SDN- & Automation- & Linux-hacker
> Mobile: +46706668199 (dedicated work mobile)
> Country: Sweden, timezone; Middle Europan Time (MET or GMT+1)



-- 
Daan

Mime
View raw message